<?php 

$errors = '';

$myemail = "info@makerwalcollieriesltd.com";//<-----Put Your email address here.

if(empty($_POST['name'])  ||

   empty($_POST['email'])  || 

   empty($_POST['website']) ||

   empty($_POST['message']))

{

    $errors .= "\n Error: all fields are required, please go back and try again";

}



$name = $_POST['name'];

$email = $_POST['email']; 

$website = $_POST['website']; 

$message = $_POST['message']; 



if (!preg_match(

"/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/i", 

$email))

{

    $errors .= "\n Error: Invalid email address";

}



if( empty($errors))

{

	$to = $myemail; 

	$email_subject = "Contact form submission: $name";

	$email_body = "You have received a new message. ".

	" Here are the details:\n Name: $name \n Email: $email \n Website: $website \n Message: \n $message"; 

	

	$headers = "From: $myemail\n"; 

	$headers .= "Reply-To: $email_address";

	

	mail($to,$email_subject,$email_body,$headers);

	//redirect to the 'thank you' page

	header('Location: thankyou.html');

} 

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 

<html>

<head>

	<title>Contact form handler</title>

</head>



<body>

<!-- This page is displayed only if there is some error -->

<?php

echo nl2br($errors);

?>





</body>

</html>